package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.CourseDimensionSourceEnum;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 课程知识点表
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-02-27
 */
@ApiModel(value="ObeCourseDimension对象", description="课程大纲知识点表")
public class ObeCourseDimension extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "课程大纲id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long obeCourseOutlineId;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "来源")
    private CourseDimensionSourceEnum source;

    @ApiModelProperty(value = "知识点编号")
    private String code;

    @ApiModelProperty(value = "知识点名称")
    private String name;

    @ApiModelProperty(value = "排序")
    private Integer number;

    @ApiModelProperty(value = "父id（顶级知识点父id为0）")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentId;

    public Long getObeCourseOutlineId() {
        return obeCourseOutlineId;
    }

    public void setObeCourseOutlineId(Long obeCourseOutlineId) {
        this.obeCourseOutlineId = obeCourseOutlineId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public CourseDimensionSourceEnum getSource() {
        return source;
    }

    public void setSource(CourseDimensionSourceEnum source) {
        this.source = source;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
}
